ServerEvents.recipes(event => {
    event.remove({ input: '#immersiveengineering:tools/hammers', output: '#forge:plates' })

    event.replaceInput({ mod: 'immersiveengineering' }, 'iron_ingot', 'pneumaticcraft:ingot_iron_compressed')
    event.replaceInput({ output: 'immersiveengineering:component_iron' }, 'copper_ingot', 'pneumaticcraft:ingot_iron_compressed')

    event.remove({ output: 'immersiveengineering:dynamo' })
    event.shaped('immersiveengineering:dynamo', [
        ' K ',
        'RIR',
        'MCM'
    ], {
        R: 'minecraft:redstone',
        I: Item.of('immersiveengineering:component_iron'),
        M: Item.of('create_new_age:magnetite_block'),
        C: Item.of('immersiveengineering:coil_lv'),
        K: Ingredient.of('#forge:coal_coke')
    })

    event.remove({ id: 'pneumaticcraft:fluid_mixer/biodiesel' })
});